File: 100000113.txt

package info (click to toggle)
snort 2.7.0-20.4
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 34,512 kB
  • ctags: 18,772
  • sloc: ansic: 115,404; sh: 10,893; makefile: 1,372; perl: 487; sql: 213
file content (64 lines) | stat: -rw-r--r-- 1,175 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
Rule: 

--
Sid: 
100000113

-- 
Summary: 
This event is generated when an attacker attempts to execute arbitrary commands 
on a system running the HappyMall E-Commerce suite.

-- 

Impact: 
Attackers may run arbitrary commands of their choosing with the permissions of 
the affected script.

--
Detailed Information:
By specifying a value for the "file" parameter of the "member_html.cgi" script 
that is enclosed by any combination of pipe or semicolon characters, attackers 
may execute arbitrary commands on the host system with the privileges of the 
affected script.

--
Affected Systems:
HappyCGI HappyMall 4.3
HappyCGI HappyMall 4.4

--

Attack Scenarios: 
This vulnerability may be exploited using a web browser, or an automated script.

-- 

Ease of Attack: 
Simple, as a web browser or publicly available exploits may be used.

-- 

False Positives:
None Known.

--
False Negatives:
None Known.

-- 

Corrective Action: 
An unconfirmed patch is available at the URI listed in the Additional 
References section.

--
Contributors: 
Alex Kirk <alex.kirk@sourcefire.com>

-- 
Additional References:

http://happymall.happycgi.com/forum/forum_detail.cgi?thread=353

--